/*
 * Copyright (c) 1986, 1987, 1988 by The Trustees of Columbia University
 * in the City of New York.  Permission is granted to any individual or
 * institution to use, copy, or redistribute this software so long as it
 * is not sold for profit, provided this copyright notice is retained.
 */

#ifdef RCSID
#ifndef lint
static char *cmds_rcsid = "$Header: cmds.H,v 1.6 88/07/21 18:38:42 howie Exp $";
#endif
#endif /* RCSID */

/*
 * cmds.h - indices into the command dispatch table
 *
 * The value of the symbols below must correspond to the offset of
 * the corresponding command in the cmd_fn[] array!
 */

/*
 * These are also indices into the help string index.  Help topics
 * which are not commands should be #def'd at the end BEFORE NUMTOPICS
 */

#define CMD_ALIAS        0               /* */
#define CMD_ANSWER       1               /* */
#define CMD_BCC          2               /* */
#define CMD_BLANK        3               /* */
#define CMD_BROWSE       4               /* */
#define CMD_BUG          5               /* */
#define CMD_CC           6               /* */
#define CMD_CD           7               /* */
#define CMD_CHECK        8               /* */
#define CMD_CONTINUE     9               /* */
#define CMD_COPY         10              /* */
#define CMD_COUNT        11              /* */
#define CMD_CREATE_INIT  12              /* */
#define CMD_DAYTIME      13              /* */
#define CMD_DEBUG        14              /* */
#define CMD_MEMDEBUG     15              /* */
#define CMD_DEFINE       16              /* */
#define CMD_DELETE       17              /* */
#define CMD_DISPLAY      18              /* */
#define CMD_ECHO         19              /* */
#define CMD_EDIT         20              /* */
#define CMD_ERASE        21              /* */
#define CMD_EXAMINE      22              /* */
#define CMD_EXIT         23              /* */
#define CMD_EXPUNGE      24              /* */
#define CMD_FCC          25              /* */
#define CMD_FLAG         26              /* */
#define CMD_FOLLOW       27              /* */
#define CMD_FORWARD      28              /* */
#define CMD_FROM         29              /* */
#define CMD_GET          30              /* */
#define CMD_HEADERS      31              /* */
#define CMD_HELP         32              /* */
#define CMD_INSERT       33              /* */
#define CMD_IN_REPLY_TO  34              /* */
#define CMD_JUMP         35              /* */
#define CMD_KEYWORD      36              /* */
#define CMD_KILL         37              /* */
#define CMD_LIST         38              /* */
#define CMD_LITERAL      39              /* */
#define CMD_MARK         40              /* */
#define CMD_MOVE         41              /* */
#define CMD_NEXT         42              /* */
#define CMD_PREVIOUS     43              /* */
#define CMD_PRINT        44              /* */
#define CMD_PROFILE      45              /* */
#define CMD_PUSH         46              /* */
#define CMD_PWD          47              /* */
#define CMD_QUIT         48              /* */
#define CMD_QQUIT        49              /* */
#define CMD_READ         50              /* */
#define CMD_REMAIL       51              /* */
#define CMD_REMOVE       52              /* */
#define CMD_REPLY        53              /* */
#define CMD_REPLY_TO     54              /* */
#define CMD_RESTORE_DRAFT 55             /* */
#define CMD_ROUTE        56              /* */
#define CMD_SAVE_DRAFT   57              /* */
#define CMD_SEND         58              /* */
#define CMD_SET          59              /* */
#define CMD_SHOW         60              /* */
#define CMD_SORT         61              /* */
#define CMD_SPELL        62              /* */
#define CMD_STATUS       63              /* */
#define CMD_SUBJECT      64              /* */
#define CMD_SUSPEND      65              /* */
#define CMD_TAKE         66              /* */
#define CMD_TEXT         67              /* */
#define CMD_TO           68              /* */
#define CMD_TYPE         69              /* */
#define CMD_UNANSWER     70              /* */
#define CMD_UNDELETE     71              /* */
#define CMD_UNFLAG       72              /* */
#define CMD_UNKEYWORD    73              /* */
#define CMD_UNMARK       74              /* */
#define CMD_USER_HEADER  75              /* */
#define CMD_VERSION      76              /* */
#define CMD_WHO          77              /* */
#define CMD_WRITE        78              /* */
#define CMD_Z            79              /* */
#define CMD_BBOARD       80		 /* Bill Yeager Dec 6, 88  */
#define CMD_FIND         81              /* Bill Yeager Dec 15, 88 */
#define CMD_IGNORE       82              /* Bill Yeager Jan. 3, 88 */
#define CMD_HEADER       83              /* */
#define CMD_EXPAND       84              /* */

#define CMD_SENDER       85              /* */
#define CMD_ALL          86              /* */

#define CMD_INCLUDE      87              /* */
#define CMD_NOINCLUDE    88              /* */

#define HLP_CCMD         89              /* */
#define HLP_MESSAGE_SEQUENCE 90          /* */
#define HLP_MMINIT       91              /* */
#define HLP_MM           92              /* */
#define HLP_SHELL        93              /* */

#define HLP_TYPE_BABYL   94              /* */
#define HLP_TYPE_START HLP_TYPE_BABYL
#define HLP_TYPE_MBOX    95              /* */
#define HLP_TYPE_MH      96              /* */
#define HLP_TYPE_MTXT    97              /* */
#define HLP_TYPE_POP2    98              /* */
#define HLP_TYPE_POP3    99              /* */

#define NUMTOPICS        100              /* */
